Results 1 to 6 of 6

Thread: can't install legacy nvidia driver

  1. #1

    Default can't install legacy nvidia driver

    i tried installing the driver through the one click install (SDB:NVIDIA drivers - openSUSE) and through zipper, but system info says that the display driver is nouveau. here are my specs

    opensuse 11.4
    RIVA TNT2 Model 64/Model 64 Pro

  2. #2
    Join Date
    Mar 2010
    Location
    Austin - Texas
    Posts
    10,140
    Blog Entries
    48

    Smile Re: can't install legacy nvidia driver

    So, you could download and install the driver the hard way if you wished. For the TNT2 64 bit, this is supposed to be the correct driver:

    NVIDIA - Download Drivers

    Here is a write up on what the hard way means, please read first:

    SDB:NVIDIA the hard way - openSUSE

    Don't forget to undo anything you may have tried, like adding in nVIDIA repositories. A couple of things that you do want to do is to add in the kernel load option nomodeset and to use the NO-KMS-IN_INITRD=Yes /etc/sysconfig option. These two settings should prevent the nouveau driver from loading and must be done before you can install the downloaded video driver.

    I have a bash script file that can help install the driver the hard way located here:

    LNVHW - Load NVIDIA (driver the) Hard Way from runlevel 3

    Message #12 has the most recent version of lnvhw and good luck.

    Thank You,
    My Blog: https://forums.opensuse.org/blogs/jdmcdaniel3/

    Software efficiency halves every 18 months, thus compensating for Moore's Law

    Its James again from Austin, Texas

  3. #3

    Default Re: can't install legacy nvidia driver

    how do you do console login?>

  4. #4
    Join Date
    Mar 2010
    Location
    Europe
    Posts
    657

    Default Re: can't install legacy nvidia driver

    Quote Originally Posted by garegin1 View Post
    how do you do console login?>
    Just log out of any desktop sessions, and at the login screen either hit Alt-N and confirm, or hit Crtl+Alt+F1. Then give username ('root' if you are installing graphics drivers) and password.

  5. #5

    Default Re: can't install legacy nvidia driver

    Hi ! I have similar problem with GeForce FX 5200 (0x0322), I have no problem log in as root in console but the directory of NVIDIA cant be find when I follow this instruction SDB:NVIDIA the hard way - openSUSE
    I have also tried with one click install without any success
    MB is Asus P4C 800E Delux with Intel(R) Pentium(R) 4 CPU 2.80GHz and 2GB Ram
    OpenSuse 11.4 32Bit and Swedish Language

    Best regards // Jan

  6. #6

    Default Re: can't install legacy nvidia driver

    Quote Originally Posted by garegin1 View Post
    i tried installing the driver through the one click install (SDB:NVIDIA drivers - openSUSE) and through zipper, but system info says that the display driver is nouveau. here are my specs

    opensuse 11.4
    RIVA TNT2 Model 64/Model 64 Pro
    Hey,

    Don't waste your time trying anything like installing nvidia legacy drivers. I have a TNT2 32 megs and I confirm you that those drivers ARE Not compatible with current suse releases.

    Hi,

    I am using a P3 800 MHZ with 512 megs of Rams, running opensuse 12.1 ... Here is the full output to lspci :

    00:00.0 Host bridge: VIA Technologies, Inc. VT82C693A/694x [Apollo PRO133x] (rev c4)
    00:01.0 PCI bridge: VIA Technologies, Inc. VT82C598/694x [Apollo MVP3/Pro133x AGP]
    00:07.0 ISA bridge: VIA Technologies, Inc. VT82C596 ISA [Mobile South] (rev 23)
    00:07.1 IDE interface: VIA Technologies, Inc. VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 10)
    00:07.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 11)
    00:07.3 Host bridge: VIA Technologies, Inc. VT82C596 Power Management (rev 30)
    00:09.0 Ethernet controller: Lite-On Communications Inc LNE100TX (rev 20)
    00:11.0 Multimedia audio controller: Yamaha Corporation YMF-744B [DS-1S Audio Controller] (rev 02)
    01:00.0 VGA compatible controller: nVidia Corporation NV5M64 [RIVA TNT2 Model 64/Model 64 Pro] (rev 15)

    I have successfully installed the "NVIDIA-Linux-x86-71.86.15-pkg1.run" for the RIVA TNT2 but I wasn't able to access any options at all when running nvidia-settings (it said that NVCONTROL was missing). I then attempted to download the version corresponding nvidia-settings package for the video card (nvidia-settings-1.0)... I had to modify "makefile" to remove "fpedantic" because it gave me the following error "cc1: error: unrecognized command line option ‘-fpedantic’ " ...I then ran 'make install' and it returned the following error :

    src/libXNVCtrlAttributes/NvCtrlAttributesVidMode.c:207:9: error: ‘prev_error_handler’ undeclared (first use in this function)
    src/libXNVCtrlAttributes/NvCtrlAttributesVidMode.c:207:9: note: each undeclared identifier is reported only once for each function it appears in
    make: *** [.objs/NvCtrlAttributesVidMode.o] Error 1

    I then edited NvCtrlAttributesVidMode.c and deleted 'prev_error_handler' at lign 207.

    Ran 'make install' once again. Went further than the first time, but it then displayed me the following error :

    /usr/lib/gcc/i586-suse-linux/4.6/../../../../i586-suse-linux/bin/ld: cannot find -lXxf86vm
    /usr/lib/gcc/i586-suse-linux/4.6/../../../../i586-suse-linux/bin/ld: cannot find -lXv

    Looking at makefile in libXNVCtrl, I found the following while searching for lXv and lXxf86vm

    USRLIBDIR = /usr/lib
    LINTLIBDIR = $(USRLIBDIR)/lint
    LINTXV = $(LINTLIBDIR)/llib-lXv.ln
    LINTXXF86VM = $(LINTLIBDIR)/llib-lXxf86vm.ln

    Problem is, there is no such directory as /usr/lib/lint

    xorg-x11-devel and xorg-x11-libXv-devel are installed

    Thank you in advance for your help


    Daniel Dadap ddadap@nvidia.com to me, linux-bugs

    Hello Guillaume,

    The newest video driver ABI supported by the 71.86.xx drivers is version 2. The most recent X server with that ABI version is Xorg server 1.3. openSUSE 12.1 has Xorg server 1.10, with video driver ABI version 10.

    Hi!

    What would be the latest x server supported by the 71.86.xx driver ?

    Thanks



    show details Dec 19 (2 days ago)

    Hello Guillaume,

    The newest video driver ABI supported by the 71.86.xx drivers is version 2. The most recent X server with that ABI version is Xorg server 1.3. openSUSE 12.1 has Xorg server 1.10, with video driver ABI version 10.

    Here's the link where I posted :
    http://forums.opensuse.org/forums/en...p-32-megs.html

    Have a nice day!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •